#version 330 core
in vec2 TexCoords;
out vec4 FragColor;

uniform sampler2D screenTexture;
uniform vec4 fadeColor = vec4(0.0, 0.0, 0.0, 1.0);
uniform float fadeAmount = 0.0;

void main()
{ 
    FragColor = mix(fadeColor, texture(screenTexture, TexCoords), fadeAmount);
}